Subject: RE: [Sipping] Q.931 bodies to SIP messages

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 20 Aug 2001 15:31:11 -0400

There has been no work on this AFAIK.  It might be needed, but I think
our ADs would prefer that such work be done elsewhere, with the
possibility of getting SIPPING to take a look at drafts of the
results for comments.

Brian

> -----Original Message-----
> From: Terry L Anderson [mailto:[email-masked]]
> Sent: Monday, August 20, 2001 3:22 PM
> To: SIPPING Mailing List
> Subject: [Sipping] Q.931 bodies to SIP messages
> 
> 
> I am interested in ISDN-SIP and ISDN-SIP-ISDN interworking and while
> some translation of Q.931/ISDN information to/from SIP
> headers/messages/responses are reasonably obvious and others are
> suggested in the ISUP to SIP Mapping draft, there are additional Q.931
> IEs that are important to interworking.  I have not been able 
> to find a
> complete solution to this in current RFC or drafts or work on this
> indicated in the current work plan.  Although this is similar to the
> work currently being done by the SIP-T design team there are some
> differences due to the fact that Q.931 signaling will often be by
> D-channel to a GW rather than in a separate MGC.
> 
> Is there work being done on this issue that I have not found?
> 
> Of course several Q.931 IEs have obvious translation to existing SIP
> headers.  It may be useful to have some other Q.931 IEs translated to
> new SIP headers if they would be of interest to proxies and 
> application
> servers in making routing decisions, billing, etc.  But signaling
> transparency for the ISDN-SIP-ISDN case would also suggest 
> that there be
> the ability to carry Q.931 messages in the body of some SIP 
> messages, as
> is suggested for ISUP and QSIG.  This would require adding an
> appropriate MIME type.
> 
> I am anxious to learn if any of this work is being done.  If not I am
> willing to help work on the problem.
> 
> --
> Waiting for the other shoe to drop but hoping its a one legged man.
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla
> 
> 

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Terry L Anderson <[email-masked]>
Date: Mon, 20 Aug 2001 16:28:47 -0400

Thanks for the response.  I am not wanting to disagree but am just curious.
How is this different from the work done on SIP-ISUP or is it just that that
was begun before this "preference" developed?

Of course specifying interworking is always a problem since it often
involves two standards bodies.  Sometimes both want to do it and sometime
neither.

I am not even sure that a lot of work is required, but minimally someone
needs to register the MIME type and that needs to come from a standards
body.  It could come from ITU-T.

More specific interworking suggestions and IE/header mapping ala SIP-ISUP
would be an additional but useful step.

---

From: [email-masked]
Date: Mon, 20 Aug 2001 15:34:47 -0500

By, the way, this is exactly the day I was predicting when I
argued so strongly that the ISUP/QSIG draft should be a generic
"user part" draft.

Now, Terry (or some other interested party) is going to have to
copy the whole d*** draft, tweak about seven words grand total,
an re-publish it as something new.

/a

> Sent: Monday, August 20, 2001 3:29 PM
> To: Rosen, Brian
> Cc: SIPPING Mailing List
> Subject: Re: [Sipping] Q.931 bodies to SIP messages
> 
>